#include <iostream>

using namespace std;

int main()
{
    int m,n,a,proizvod,rez=0,br=0,b=0;
    cin>>n>>m;
    int niz[n][m];
    for(int i=0;i<n;i++)
    {
        cin>>a;
        for(int j=0;j<a;j++)
        {
            niz[i][j]=0;
        }
        for(int j=a;j<m;j++)
        niz[i][j]=1;
    }

    for(int j=0;j<m;j++)
    {
        for(int i=0;i<n;i++)
        {
            if(niz[j][i]==1)
            {
                br++;
            }
            else
                b++;

        }
        proizvod=br*b;
        br=0;
        b=0;
        rez=rez+proizvod;
    }
    cout<<rez<<endl;
    return 0;


}